﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace LiveChart
{
    public class App : Application
    {
        public App()
        {
            // The root page of your application

            TabbedPage tabPage = new TabbedPage();
            tabPage.Children.Add(new ChartPage());
            tabPage.Children.Add(new FirstPage());
            tabPage.Children.Add(new SecondPage());

            MainPage = tabPage;
        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
