﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace LiveChart
{
   public class FirstPage : ContentPage
    {
        DateTime time = new DateTime(2017, 01, 01);

        Random random = new Random();

        ObservableCollection<ChartDataPoint> datas1 = new ObservableCollection<ChartDataPoint>();

        ObservableCollection<ChartDataPoint> datas2 = new ObservableCollection<ChartDataPoint>();

        ObservableCollection<ChartDataPoint> datas3 = new ObservableCollection<ChartDataPoint>();

        ObservableCollection<ChartDataPoint> datas4 = new ObservableCollection<ChartDataPoint>();

        ObservableCollection<ChartDataPoint> datas5 = new ObservableCollection<ChartDataPoint>();

        ObservableCollection<ChartDataPoint> datas6 = new ObservableCollection<ChartDataPoint>();

        ObservableCollection<ChartDataPoint> datas7 = new ObservableCollection<ChartDataPoint>();

        ObservableCollection<ChartDataPoint> datas8 = new ObservableCollection<ChartDataPoint>();

        public FirstPage()
        {
            this.Title = "FirstPage";

            SfChart chart = new SfChart();

            DateTimeAxis xAxis = new DateTimeAxis();
            xAxis.LabelStyle.LabelFormat = "mm:ss";
            xAxis.AutoScrollingDelta = 10;
            xAxis.AutoScrollingDeltaType = DateTimeDeltaType.Seconds;
            chart.PrimaryAxis = xAxis;

            NumericalAxis yAxis = new NumericalAxis();
            chart.SecondaryAxis = yAxis;

            SplineSeries spline1 = new SplineSeries();
            spline1.ItemsSource = datas1;
            chart.Series.Add(spline1);

            SplineSeries spline2 = new SplineSeries();
            spline2.ItemsSource = datas2;
            chart.Series.Add(spline2);

            SplineSeries spline3 = new SplineSeries();
            spline3.ItemsSource = datas3;
            chart.Series.Add(spline3);

            SplineSeries spline4 = new SplineSeries();
            spline4.ItemsSource = datas4;
            chart.Series.Add(spline4);

            SplineSeries spline5 = new SplineSeries();
            spline5.ItemsSource = datas5;
            chart.Series.Add(spline5);

            SplineSeries spline6 = new SplineSeries();
            spline6.ItemsSource = datas6;
            chart.Series.Add(spline6);

            SplineSeries spline7 = new SplineSeries();
            spline7.ItemsSource = datas7;
            chart.Series.Add(spline7);

            SplineSeries spline8 = new SplineSeries();
            spline8.ItemsSource = datas8;
            chart.Series.Add(spline8);

            FastLineSeries fastLine1 = new FastLineSeries();
            fastLine1.ItemsSource = datas1;
            chart.Series.Add(fastLine1);

            FastLineSeries fastLine2 = new FastLineSeries();
            fastLine2.ItemsSource = datas2;
            chart.Series.Add(fastLine2);

            FastLineSeries fastLine3 = new FastLineSeries();
            fastLine3.ItemsSource = datas3;
            chart.Series.Add(fastLine3);

            FastLineSeries fastLine4 = new FastLineSeries();
            fastLine4.ItemsSource = datas4;
            chart.Series.Add(fastLine4);

            FastLineSeries fastLine5 = new FastLineSeries();
            fastLine5.ItemsSource = datas5;
            chart.Series.Add(fastLine5);

            FastLineSeries fastLine6 = new FastLineSeries();
            fastLine6.ItemsSource = datas6;
            chart.Series.Add(fastLine6);

            FastLineSeries fastLine7 = new FastLineSeries();
            fastLine7.ItemsSource = datas7;
            chart.Series.Add(fastLine7);

            FastLineSeries fastLine8 = new FastLineSeries();
            fastLine8.ItemsSource = datas8;
            chart.Series.Add(fastLine8);

            LoadData();

            chart.ChartBehaviors.Add(new ChartZoomPanBehavior()
            { EnableDoubleTap = false,
            EnableZooming = false
            });

            Content = chart;
        }

        void LoadData()
        {
            for (var i = 0; i < 5; i++)
            {
                datas1.Add(new ChartDataPoint(time, random.Next(5, 10)));
                datas2.Add(new ChartDataPoint(time, random.Next(15, 20)));
                datas3.Add(new ChartDataPoint(time, random.Next(25, 30)));
                datas4.Add(new ChartDataPoint(time, random.Next(35, 40)));
                datas5.Add(new ChartDataPoint(time, random.Next(45, 50)));
                datas6.Add(new ChartDataPoint(time, random.Next(55, 60)));
                datas7.Add(new ChartDataPoint(time, random.Next(65, 70)));
                datas8.Add(new ChartDataPoint(time, random.Next(75, 80)));
                time = time.AddSeconds(1);
            }

            Device.StartTimer(new TimeSpan(0, 0, 0, 0, 200), () =>
            {
                datas1.Add(new ChartDataPoint(time, random.Next(5, 10)));
                datas2.Add(new ChartDataPoint(time, random.Next(15, 20)));
                datas3.Add(new ChartDataPoint(time, random.Next(25, 30)));
                datas4.Add(new ChartDataPoint(time, random.Next(35, 40)));
                datas5.Add(new ChartDataPoint(time, random.Next(45, 50)));
                datas6.Add(new ChartDataPoint(time, random.Next(55, 60)));
                datas7.Add(new ChartDataPoint(time, random.Next(65, 70)));
                datas8.Add(new ChartDataPoint(time, random.Next(75, 80)));
                time = time.AddSeconds(1);
                return true;
            });
        }
    }
}
